<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'ebuy',

    /*
     * Package.
     */
    'package'   => 'product',

    /*
     * Modules.
     */
    'modules'   => ['product', 'category', 'brand'],

    'product'       => [
        'model' => [
            'model' => \Ebuy\Product\Models\Product::class,
            'repository' => \Ebuy\Product\Repositories\Eloquent\ProductRepository::class,
            'table' => 'products',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'seller_id',  'product_id',  'name',  'category_id',  'brand_id',  'price',  'tax_rate',  'tax_amount',  'total',  'description',  'model',  'highlights',  'size',  'quantity',  'services',  'features',  'specifications',  'availability',  'status',  'slug',  'images',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables' => [],
            'upload_folder' => 'product/product',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Ebuy',
            'package' => 'Product',
            'module' => 'Product',
        ],
    ],
    'category'       => [
        'model' => [
            'model' => \Ebuy\Product\Models\Category::class,
            'repository' => \Ebuy\Product\Repositories\Eloquent\CategoryRepository::class,
            'table' => 'categories',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'parent_id',  'category_id',  'name',  'slug',  'status',  'brands',  'meta_tag',  'meta_keyword',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at',  'images'],
            'translatables' => [],
            'upload_folder' => 'product/category',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Ebuy',
            'package' => 'Product',
            'module' => 'Category',
        ],
    ],
    'brand'       => [
        'model' => [
            'model' => \Ebuy\Product\Models\Brand::class,
            'repository' => \Ebuy\Product\Repositories\Eloquent\BrandRepository::class,
            'table' => 'brands',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'name',  'slug',  'description',  'image',  'user_id',  'user_type',  'status',  'created_at',  'updated_at',  'deleted_at'],
            'translatables' => [],
            'upload_folder' => 'product/brand',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Ebuy',
            'package' => 'Product',
            'module' => 'Brand',
        ],
    ],
];
