<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateCategoriesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: categories
         */
        Schema::create('categories', function ($table) {
            $table->increments('id');
            $table->integer('parent_id')->nullable();
            $table->integer('category_id')->nullable();
            $table->string('name', 255)->nullable();
            $table->string('slug', 200)->nullable();
            $table->enum('status', ['show','hide'])->nullable();
            $table->text('brands')->nullable();
            $table->text('meta_tag')->nullable();
            $table->text('meta_keyword')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 60)->nullable();
            $table->text('images')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('categories');
    }
}
