<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateProductsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: products
         */
        Schema::create('products', function ($table) {
            $table->increments('id');
            $table->integer('seller_id')->nullable();
            $table->string('product_id', 60)->nullable();
            $table->string('name', 200)->nullable();
            $table->integer('category_id')->nullable();
            $table->integer('brand_id')->nullable();
            $table->float('price')->nullable();
            $table->integer('tax_rate')->nullable();
            $table->float('tax_amount')->nullable();
            $table->float('total')->nullable();
            $table->text('description')->nullable();
            $table->text('model')->nullable();
            $table->text('highlights')->nullable();
            $table->string('size', 200)->nullable();
            $table->string('quantity', 200)->nullable();
            $table->text('services')->nullable();
            $table->text('features')->nullable();
            $table->text('specifications')->nullable();
            $table->enum('availability', ['available','not available'])->nullable();
            $table->enum('status', ['show','hide'])->nullable();
            $table->string('slug', 200)->nullable();
            $table->text('images')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 60)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('products');
    }
}
