<?php

namespace Ebuy\Product\Repositories\Eloquent\Presenters;

use Litepie\Repository\Presenter\Presenter;

class CategoryItemPresenter extends Presenter
{

    public function itemLink()
    {
        return guard_url('product/category') . '/' . $this->getRouteKey();
    }

    public function title()
    {
        if ($this->title != '') {
            return $this->title;
        }

        if ($this->name != '') {
            return $this->name;
        }

        return 'None';
    }

    public function toArray()
    {
        return [
            'id' => $this->getRouteKey(),
            'title' => $this->title(),
            'parent_id' => $this->parent_id,
            'category_id' => $this->category_id,
            'name' => $this->name,
            'slug' => $this->slug,
            'status' => $this->status,
            'brands' => $this->brands,
            'meta_tag' => $this->meta_tag,
            'meta_keyword' => $this->meta_keyword,
            'user_id' => $this->user_id,
            'user_type' => $this->user_type,
            'images' => $this->images,
            'created_at' => !is_null($this->created_at) ? $this->created_at->format('Y-m-d H:i:s') : null,
            'updated_at' => !is_null($this->updated_at) ? $this->updated_at->format('Y-m-d H:i:s') : null,
            'meta' => [
                'exists' => $this->exists(),
                'link' => $this->itemLink(),
                'upload_url' => $this->getUploadURL(''),
            ],
        ];
    }
}
